=== debian/changelog ===
ros-indigo-camera-pose-calibration (0.1.5-0trusty) trusty; urgency=high

  Clean up CMakeLists.txt

 -- Ronald Ensing <r.m.ensing@delftrobotics.com>  Sun, 29 May 2016 22:00:00 -0000

ros-indigo-camera-pose-calibration (0.1.4-0trusty) trusty; urgency=high

  Fix Boost Linking error

 -- Ronald Ensing <r.m.ensing@delftrobotics.com>  Sun, 29 May 2016 22:00:00 -0000

ros-indigo-camera-pose-calibration (0.1.3-0trusty) trusty; urgency=high

  * Remove C++11 features for indigo.

 -- Ronald Ensing <r.m.ensing@delftrobotics.com>  Sun, 08 May 2016 22:00:00 -0000

ros-indigo-camera-pose-calibration (0.1.2-0trusty) trusty; urgency=high

  * Update dependencies
  * Contributors: Ronald Ensing

 -- Ronald Ensing <r.m.ensing@delftrobotics.com>  Wed, 27 Apr 2016 22:00:00 -0000

ros-indigo-camera-pose-calibration (0.1.1-0trusty) trusty; urgency=high

  First public release

 -- Ronald Ensing <r.m.ensing@delftrobotics.com>  Thu, 21 Apr 2016 22:00:00 -0000
