=== debian/control ===
Source: ros-indigo-camera-pose-calibration
Section: misc
Priority: extra
Maintainer: Ronald Ensing <r.m.ensing@delftrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-cmake-modules, ros-indigo-cv-bridge, ros-indigo-eigen-conversions, ros-indigo-image-transport, ros-indigo-message-generation, ros-indigo-nodelet, ros-indigo-pcl-ros, ros-indigo-roscpp, ros-indigo-rosunit, ros-indigo-sensor-msgs, ros-indigo-tf, ros-indigo-tf-conversions, ros-indigo-visualization-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-camera-pose-calibration
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-cmake-modules, ros-indigo-cv-bridge, ros-indigo-eigen-conversions, ros-indigo-image-transport, ros-indigo-message-generation, ros-indigo-message-runtime, ros-indigo-nodelet, ros-indigo-pcl-ros, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-tf, ros-indigo-tf-conversions, ros-indigo-visualization-msgs
Description: Camera pose calibration using the OpenCV asymmetric circles pattern.
